This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 131061 - rpm and compile failure
rpm and compile failure
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 20:22 EDT by Darrin Hebert
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 13:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Hebert 2004-08-26 20:22:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
kernelversion is kernel-2.6.5-1.358 and my rpm version is rpm-4.3.1-0.3.

I get the following error message whenever I install a rpm "cannot
find selinux". The install seems to work and the application works.  

My real problem is when I am compiling an application from source. 
The make process seems to complete correctly, the make install process
returns the following error "/usr/bin/ld: cannot find -lselinux
collect2: ld returned 1 exit status".

the following command rpm -qa | grep sel returns "libselinux-1.11.4-1".

Im not sure if I only have a partial install of selinux, but Im just
trying to successfully compile programs.

Any help would be greatly apprecieated.




Version-Release number of selected component (if applicable):
libselinux-1.11.4-1

How reproducible:
Always

Steps to Reproduce:
1.make, make install
2.
3.
    

Actual Results:  the errors referenced in the description

Expected Results:  successful installation

Additional info:

this error occurs every time I try to install and rpm as well as
compiling a program from source.  an example program I'm trying to
install is KDE's mymoney.
Comment 1 Daniel Walsh 2004-08-27 10:17:37 EDT
Install libselinux-devel
Comment 2 Daniel Walsh 2005-02-09 13:54:12 EST
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.